> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Unarchive an entry

DELETE https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/entries/{entry_id}/archived

Reference: https://contentful.com/developers/docs/references/content-management-api/entries/unarchive-an-entry

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in form of a string
- `environment_id` (string, required) — ID of the environment in form of a string
- `entry_id` (string, required) — ID of the entry in form of a string

### Headers

- `X-Contentful-Version` (string, optional) — The last version of the entry you are unarchiving

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "fields": {
    "body": {
      "en-US": "Bacon is healthy!"
    },
    "title": {
      "en-US": "Hello, World!"
    }
  },
  "metadata": {
    "tags": [
      {
        "sys": {
          "id": "nyCampaign",
          "linkType": "Tag",
          "type": "Link"
        }
      }
    ]
  }
}
```

**SDK Code**

```android Android
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

// Fetch Entry.
client
    .entries()
    .async()
    .fetchOne(
        "<entry_id>",
        new CMACallback<CMAEntry>() {
          @Override protected void onSuccess(CMAEntry entry) {
            // Successfully fetched, unarchive it.
            client
                .entries()
                .async()
                .unArchive(
                    entry,
                    new CMACallback<CMAEntry>() {
                      @Override protected void onSuccess(CMAEntry result) {
                        // SUCCESS.
                        new AlertDialog.Builder(context)
                            .setTitle("Contentful")
                            .setMessage("Unarchiving of an entry was successful." +
                                "\n\nResult: " + result)
                            .show();
                      }

                      @Override protected void onFailure(RuntimeException exception) {
                        // An error occurred! Inform the user.
                        new AlertDialog.Builder(context)
                            .setTitle("Contentful Error")
                            .setMessage("Could not unarchive an entry." +
                                "\n\nReason: " + exception.toString())
                            .show();

                        super.onFailure(exception);
                      }
                    }
                );
          }

          @Override protected void onFailure(RuntimeException exception) {
            // An error occurred! Inform the user.
            new AlertDialog.Builder(context)
                .setTitle("Contentful Error")
                .setMessage("Could not fetch an entry." +
                    "\n\nReason: " + exception.toString())
                .show();

            super.onFailure(exception);
          }
        }
    );
```

```java Java
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

// Fetch Entry.
final CMAEntry entry =
    client
        .entries()
        .fetchOne("<entry_id>");

// Unarchive it.
client
    .entries()
    .unArchive(entry);
```

```kotlin Kotlin
// Create the Contentful client.
val client = CMAClient.Builder()
    .setAccessToken("<access_token>")
    .setSpaceId("<space_id>")
    .setEnvironmentId("<environment_id>")
    .build()

// Fetch Entry.
val entry = client
        .entries()
        .fetchOne("<entry_id>")

// Unarchive it.
client
        .entries()
        .unArchive(entry)
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getSpace('<space_id>')
.then((space) => space.getEnvironment('<environment_id>'))
.then((environment) => environment.getEntry('<entry_id>'))
.then((entry) => entry.unarchive())
.then((entry) => console.log(`Entry ${entry.sys.id} unarchived.`))
.catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const entry = await client.entry.get({
    spaceId: '<space_id>',
    environmentId: '<environment_id>',
    entryId: '<entry_id>',
});

await client.entry.unarchive(
    {
        spaceId: '<space_id>',
        environmentId: '<environment_id>',
        entryId: '<entry_id>',
    },
    { sys: entry.sys }
);
```

```php PHP
$client = new \Contentful\Management\Client('<content_management_api_key>');

$environment = $client->getEnvironmentProxy('<space_id>', '<environment_id>');

$entry = $environment->getEntry('<entry_id>');
$entry->unarchive();
```

```ruby Ruby
require 'contentful/management'

client = Contentful::Management::Client.new('<content_management_api_key>')

entry = client.entries('<space_id>', '<environment_id>').find('<entry_id>')
entry.unarchive
```

```python Python
from contentful_management import Client

client = Client('<content_management_api_key>')

entry = client.entries('<space_id>', '<environment_id>').find('<entry_id>')
entry.unarchive()
```

```.net .NET
// This client should only be created once per application.
var httpClient = new HttpClient();

var client = new ContentfulManagementClient(httpClient, "<content_management_api_key>", "<space_id>");

var verson = 3;
await client.UnarchiveEntry("<entry_id>", version);
```